<?xml version='1.0' encoding='UTF-8' standalone='no'?>
<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="compound.xsd" version="1.8.11">
  <compounddef id="classpyspottedunipd_1_1ngrams_1_1models_1_1_n_gram" kind="class" language="Python" prot="public">
    <compoundname>pyspottedunipd::ngrams::models::NGram</compoundname>
    <basecompoundref prot="public" virt="non-virtual">object</basecompoundref>
      <sectiondef kind="public-func">
      <memberdef kind="function" id="classpyspottedunipd_1_1ngrams_1_1models_1_1_n_gram_1a2a5c55a3303d7da0f410ebe18b4f3d5d" prot="public" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>def</type>
        <definition>def pyspottedunipd.ngrams.models.NGram.__init__</definition>
        <argsstring>(self)</argsstring>
        <name>__init__</name>
        <param>
          <type>self</type>
          <defname>self</defname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="/home/stefano/Coding/Python/projects/spotted-unipd/pyspottedunipd/ngrams/models.py" line="45" column="1" bodyfile="/home/stefano/Coding/Python/projects/spotted-unipd/pyspottedunipd/ngrams/models.py" bodystart="45" bodyend="47"/>
      </memberdef>
      <memberdef kind="function" id="classpyspottedunipd_1_1ngrams_1_1models_1_1_n_gram_1a6fb8e14cc45dc03c7cd250a7f6804c70" prot="public" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>def</type>
        <definition>def pyspottedunipd.ngrams.models.NGram.generate_from_file</definition>
        <argsstring>(self, order, filename, number_of_words)</argsstring>
        <name>generate_from_file</name>
        <param>
          <type>self</type>
          <defname>self</defname>
        </param>
        <param>
          <type>order</type>
          <defname>order</defname>
        </param>
        <param>
          <type>filename</type>
          <defname>filename</defname>
        </param>
        <param>
          <type>number_of_words</type>
          <defname>number_of_words</defname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
<para><verbatim>:param order: int
    Order of n-gram
:param filename: str
    Path to filename
:param number_of_words: int
    Number of words to generate
:return: str
    Generate words based on a text file
</verbatim> </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="/home/stefano/Coding/Python/projects/spotted-unipd/pyspottedunipd/ngrams/models.py" line="103" column="1" bodyfile="/home/stefano/Coding/Python/projects/spotted-unipd/pyspottedunipd/ngrams/models.py" bodystart="103" bodyend="119"/>
      </memberdef>
      <memberdef kind="function" id="classpyspottedunipd_1_1ngrams_1_1models_1_1_n_gram_1adde2b71326b9837fffbf642057167fab" prot="public" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>def</type>
        <definition>def pyspottedunipd.ngrams.models.NGram.generate_from_string</definition>
        <argsstring>(self, order, string, number_of_words)</argsstring>
        <name>generate_from_string</name>
        <param>
          <type>self</type>
          <defname>self</defname>
        </param>
        <param>
          <type>order</type>
          <defname>order</defname>
        </param>
        <param>
          <type>string</type>
          <defname>string</defname>
        </param>
        <param>
          <type>number_of_words</type>
          <defname>number_of_words</defname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
<para><verbatim>:param order: int
    Order of n-gram
:param string: str
    Input string
:param number_of_words: int
    Number of words to generate
:return: str
    Generate words based on a text file
</verbatim> </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="/home/stefano/Coding/Python/projects/spotted-unipd/pyspottedunipd/ngrams/models.py" line="120" column="1" bodyfile="/home/stefano/Coding/Python/projects/spotted-unipd/pyspottedunipd/ngrams/models.py" bodystart="120" bodyend="159"/>
      </memberdef>
      </sectiondef>
      <sectiondef kind="public-static-func">
      <memberdef kind="function" id="classpyspottedunipd_1_1ngrams_1_1models_1_1_n_gram_1af6474ffdf656cebb90cbfcaa925d40cb" prot="public" static="yes" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>def</type>
        <definition>def pyspottedunipd.ngrams.models.NGram.make_cups</definition>
        <argsstring>(order, string)</argsstring>
        <name>make_cups</name>
        <param>
          <type>order</type>
          <defname>order</defname>
        </param>
        <param>
          <type>string</type>
          <defname>string</defname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
<para><verbatim>:param order: int
    Order of n-grams to generate
:param string: str
    Input text
:return: cups
    Get a string of input text and make all the unique cups with the different words in it
</verbatim> </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="/home/stefano/Coding/Python/projects/spotted-unipd/pyspottedunipd/ngrams/models.py" line="49" column="1" bodyfile="/home/stefano/Coding/Python/projects/spotted-unipd/pyspottedunipd/ngrams/models.py" bodystart="49" bodyend="73"/>
      </memberdef>
      <memberdef kind="function" id="classpyspottedunipd_1_1ngrams_1_1models_1_1_n_gram_1a654e3fc83a4a2cced0a9207558c651c3" prot="public" static="yes" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>def</type>
        <definition>def pyspottedunipd.ngrams.models.NGram.print_cups</definition>
        <argsstring>(cups)</argsstring>
        <name>print_cups</name>
        <param>
          <type>cups</type>
          <defname>cups</defname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
<para><verbatim>:param cups: Cup
    Cup to use
:return: void
    Use this to see what cups there are and the words inside of it
</verbatim> </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="/home/stefano/Coding/Python/projects/spotted-unipd/pyspottedunipd/ngrams/models.py" line="75" column="1" bodyfile="/home/stefano/Coding/Python/projects/spotted-unipd/pyspottedunipd/ngrams/models.py" bodystart="75" bodyend="85"/>
      </memberdef>
      <memberdef kind="function" id="classpyspottedunipd_1_1ngrams_1_1models_1_1_n_gram_1a0715ce38bf5c01f6850aeddc483515df" prot="public" static="yes" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>def</type>
        <definition>def pyspottedunipd.ngrams.models.NGram.topword</definition>
        <argsstring>(n, cup)</argsstring>
        <name>topword</name>
        <param>
          <type>n</type>
          <defname>n</defname>
        </param>
        <param>
          <type>cup</type>
          <defname>cup</defname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
<para><verbatim>:param n: int
    Number of top words to take from cup
:param cup: Cup
    Cup to use
:return: str
    A function that picks the top words in a cup
</verbatim> </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="/home/stefano/Coding/Python/projects/spotted-unipd/pyspottedunipd/ngrams/models.py" line="87" column="1" bodyfile="/home/stefano/Coding/Python/projects/spotted-unipd/pyspottedunipd/ngrams/models.py" bodystart="87" bodyend="102"/>
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <inheritancegraph>
      <node id="35">
        <label>pyspottedunipd.ngrams.models.NGram</label>
        <link refid="classpyspottedunipd_1_1ngrams_1_1models_1_1_n_gram"/>
        <childnode refid="36" relation="public-inheritance">
        </childnode>
      </node>
      <node id="36">
        <label>object</label>
      </node>
    </inheritancegraph>
    <collaborationgraph>
      <node id="37">
        <label>pyspottedunipd.ngrams.models.NGram</label>
        <link refid="classpyspottedunipd_1_1ngrams_1_1models_1_1_n_gram"/>
        <childnode refid="38" relation="public-inheritance">
        </childnode>
      </node>
      <node id="38">
        <label>object</label>
      </node>
    </collaborationgraph>
    <location file="/home/stefano/Coding/Python/projects/spotted-unipd/pyspottedunipd/ngrams/models.py" line="44" column="1" bodyfile="/home/stefano/Coding/Python/projects/spotted-unipd/pyspottedunipd/ngrams/models.py" bodystart="44" bodyend="160"/>
    <listofallmembers>
      <member refid="classpyspottedunipd_1_1ngrams_1_1models_1_1_n_gram_1a2a5c55a3303d7da0f410ebe18b4f3d5d" prot="public" virt="non-virtual"><scope>pyspottedunipd::ngrams::models::NGram</scope><name>__init__</name></member>
      <member refid="classpyspottedunipd_1_1ngrams_1_1models_1_1_n_gram_1a6fb8e14cc45dc03c7cd250a7f6804c70" prot="public" virt="non-virtual"><scope>pyspottedunipd::ngrams::models::NGram</scope><name>generate_from_file</name></member>
      <member refid="classpyspottedunipd_1_1ngrams_1_1models_1_1_n_gram_1adde2b71326b9837fffbf642057167fab" prot="public" virt="non-virtual"><scope>pyspottedunipd::ngrams::models::NGram</scope><name>generate_from_string</name></member>
      <member refid="classpyspottedunipd_1_1ngrams_1_1models_1_1_n_gram_1af6474ffdf656cebb90cbfcaa925d40cb" prot="public" virt="non-virtual"><scope>pyspottedunipd::ngrams::models::NGram</scope><name>make_cups</name></member>
      <member refid="classpyspottedunipd_1_1ngrams_1_1models_1_1_n_gram_1a654e3fc83a4a2cced0a9207558c651c3" prot="public" virt="non-virtual"><scope>pyspottedunipd::ngrams::models::NGram</scope><name>print_cups</name></member>
      <member refid="classpyspottedunipd_1_1ngrams_1_1models_1_1_n_gram_1a0715ce38bf5c01f6850aeddc483515df" prot="public" virt="non-virtual"><scope>pyspottedunipd::ngrams::models::NGram</scope><name>topword</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>
